import { Component, ChangeDetectionStrategy, Input, Output, EventEmitter } from '@angular/core';
var FileUploadPreviewComponent = (function () {
    function FileUploadPreviewComponent() {
        this.selectFiles = [];
        this.removeFile = new EventEmitter();
    }
    FileUploadPreviewComponent.prototype.onRemoveFile = function (fileItem) {
        if (!this.disabled) {
            this.removeFile.emit(fileItem);
        }
    };
    FileUploadPreviewComponent.decorators = [
        { type: Component, args: [{
                    selector: 're-file-upload-preview',
                    template: "\n    <div class=\"file-upload-preview\"><table class=\"table\"><tbody><tr *ngFor=\"let fileItem of selectFiles\"><td *ngIf=\"imgPreview\"><a [href]=\"fileItem.dataUrl\" target=\"_blank\"><img *ngIf=\"fileItem.dataUrl\" class=\"img-responsive\" [src]=\"fileItem.dataUrl\" [attr.alt]=\"fileItem.name\" [style.width]=\"previewWidth\"></a></td><td><i *ngIf=\"uploaded\" class=\"glyphicon glyphicon-ok text-success\"></i> {{fileItem.name}}</td><td>{{fileItem.displaySize}}</td><td><i class=\"glyphicon glyphicon-trash text-danger\" [ngClass]=\"{disabled: disabled}\" (click)=\"onRemoveFile(fileItem)\"></i></td></tr></tbody></table></div>\n  ",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    exportAs: 'fileUploadPreview'
                },] },
    ];
    /** @nocollapse */
    FileUploadPreviewComponent.ctorParameters = function () { return []; };
    FileUploadPreviewComponent.propDecorators = {
        "imgPreview": [{ type: Input },],
        "previewWidth": [{ type: Input },],
        "uploaded": [{ type: Input },],
        "disabled": [{ type: Input },],
        "selectFiles": [{ type: Input },],
        "removeFile": [{ type: Output },],
    };
    return FileUploadPreviewComponent;
}());
export { FileUploadPreviewComponent };
//# sourceMappingURL=file-upload-preview.component.js.map